export function colorForUUID(iStrUUID)
    {
        return '#' + Util.zeroFill(( Math.abs( parseInt( iStrUUID.replace( "-", "" ), 16 )) % 16777215 ) & 0x1F0F3F , 6, '0' ).toString( 16 );
    }

export function zeroFill( number, width, padchar )
    {
        var pad_char = typeof padchar !== 'undefined' ? padchar : '0';
        var pad = new Array(1 + width).join(pad_char);
        return ( pad + number ).slice(-pad.length);
    }